/*
 *  Copyright (C) 1998,9 by Marco G"otze.
 *
 *  This code is part of the wmpinboard source package, which is
 *  distributed under the terms of the GNU GPL2.
 */

#ifndef XMISC_H_INCLUDED
#define XMISC_H_INCLUDED

#include <X11/Xlib.h>
#include <X11/xpm.h>

#define get_color(x)      XGetPixel(palette, 0, x)
#define get_text_color(x) XGetPixel(palette, 1, x)

typedef struct {
    Pixmap          pixmap;
    Pixmap          mask;
    XpmAttributes   attributes;
} XpmIcon;

void replace_color(XImage*, int, int, int, int, unsigned long, unsigned long);
void merge_masked(XImage*, XImage*, int, int, int, int, int, int, int);
void copy_image_area(XImage*, XImage*, int, int, int, int, int, int);
void update_display(XImage*, int, int);

void  get_xpm(XpmIcon*, char**);
Pixel lookup_color(char*);
int   flush_expose(Window);
void  redraw_window(void);
void  set_mask(int);

void init_xlocale(void);

extern XIC InputContext;

#endif  /* XMISC_H_INCLUDED */

